* New upstream release:
[debian/bti.git] / debian / changelog
1 bti (031-1) UNRELEASED; urgency=low
2
3   * New upstream release:
4     - addresses "bti doesn't warn if the password is incorrect": check server
5       replies in non-background mode, only in non-OAuth mode
6       (partly solves #602502)
7
8  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:14:01 +0100
9
10 bti (030-1) unstable; urgency=low
11
12   * New upstream release.
13   * Switch to debhelper 8.
14
15  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
16
17 bti (029-2) unstable; urgency=low
18
19   * Upload to unstable.
20
21  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
22
23 bti (029-1) experimental; urgency=low
24
25   * New upstream release: includes fixes for
26     + "the --dry-run option has no effect (tweets get posted anyway)
27        with OAuth" (closes: #608608)
28     + "--replyto doesn't work with OAuth" (closes: #608112)
29   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
30     description and add a patch to change the name in the manpage and the
31     example config; thanks to Julien Valroff for the bug report
32     (closes: #605407).
33   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
34     upstream.
35   * Refresh remaining patches.
36   * debian/copyright: update years of upstream and packaging copyright; update
37     formatting.
38   * Don't install README anymore.
39   * Upload to experimental because of the freeze.
40
41  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
42
43 bti (028-2) unstable; urgency=low
44
45   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
46     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
47     request_token URI in order to make OAuth work with identi.ca
48     (closes: #602507).
49   * Minor fixes in README.Debian.
50
51  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
52
53 bti (028-1) unstable; urgency=low
54
55   * New upstream release:
56     - support for replying to notices
57     - adds OAuth support for both twitter and identi.ca (closes: #588235)
58     - split --background from --bash, and make the latter imply the former
59   * Refresh manpage-debian.patch.
60   * Set Standards-Version to 3.9.1 (no changes).
61   * Add build dependency on liboauth-dev.
62   * debian/rules: switch order of dh arguments (preparation for dh8).
63   * debian/copyright: update years of upstream copyright.
64   * Add README.Debian about OAuth usage.
65
66  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
67
68 bti (026-1) unstable; urgency=low
69
70   * Bump build dependency on bash-completion (needed for --with
71     bash-completion in debian/rules).
72
73   * New upstream release.
74   * Refresh patch manpage-debian.patch and DEP3 patch headers.
75   * debian/copyright: refresh DEP5 header, update years of packaging
76     copyright.
77   * Set Standards-Version to 3.8.4 (no changes).
78   * Convert to source format 3.0 (quilt). Remove quilt framework.
79     Lower debhelper dependency.
80
81  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
82
83 bti (025-1) unstable; urgency=low
84
85   * New upstream release: 
86     - set default host to twitter (closes: #563098)
87     - mention correct host in prompts (closes: #563099)
88
89  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
90
91 bti (024-1) unstable; urgency=low
92
93   * New upstream release:
94     - do not display password while user types it (LP: #386525)
95     - disable echo when reading the password
96     - add laconica group support
97   * debian/control: add Homepage field and adjust long description.
98   * Use "--with bash-completion" in debian/rules to install bash-completion
99     snippet; bump build dependencies on debhelper and bash-completion in
100     debian/control.
101
102  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
103
104 bti (023-2) unstable; urgency=low
105
106   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
107     Matthias Klose for the pointer.
108   * Set Standards-Version to 3.8.3 (no changes).
109   * Add debian/README.source to document quilt usage.
110   * Simplify debian/rules, adjust versioned build dependencies on debhelper
111     and quilt in debian/control.
112   * Use dh_bash-completion for installing the completion snippet; adjust
113     debian/rules, add a versioned build dependency on bash-completion.
114
115  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
116
117 bti (023-1) unstable; urgency=low
118
119   * New upstream release, main changes:
120     - new 'verbose' mode
121     - SSL also for twitter
122   * debian/copyright: add new additional copyright holder.
123   * Refresh patch manpage-debian.patch.
124   * debian/control: mention additional actions in long description.
125
126  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
127
128 bti (022-1) unstable; urgency=low
129
130   * New upstream release, main changes:
131     - support for custim laconi.ca instances
132     - use SSL for identi.ca
133   * debian/copyright: add additional copyright holder.
134
135  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
136
137 bti (021-1) unstable; urgency=low
138
139   * New upstream release, contains changes in autoconf tools:
140     - simplify debian/rules and debian/install
141     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
142
143  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
144
145 bti (020-1) unstable; urgency=low
146
147   * New upstream release:
148     - remove patch getopt.patch, included upstream
149     - remove manpage for bti-shrink-urls from debian/, included upstream
150     - upstream uses autoconf, adjust debian/rules and debian/install, remove
151       debian/manpages
152
153  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
154
155 bti (017-1) unstable; urgency=low
156
157   * New upstream release.
158   * Add build-dependency on libpcre3-dev.
159   * Refresh patch manpage-debian.patch.
160   * debian/install: add new bti-shrink-urls.
161   * debian/copyright: add information about bti-shrink-urls.
162   * Create a manpage for bti-shrink-urls.
163   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
164     target which is not easier to use than the manual installation we've been
165     using).
166   * Add a new patch getopt.patch to make the new commandline options available
167     in bti.c.
168
169  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
170
171 bti (015-1) unstable; urgency=low
172
173   * New upstream release; from the RELEASE-NOTES:
174     "--action support, bti now can output data from the twitter
175     and identica servers".
176   * Add build dependency on libxml2-dev.
177   * Refresh patch manpage-debian.patch.
178   * Set Standards-Version to 3.8.1 (no changes).
179
180  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
181
182 bti (014-1) unstable; urgency=low
183
184   * New upstream release.
185
186  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
187
188 bti (013-1) unstable; urgency=low
189
190   * New upstream release.
191   * Use dh_install instead of dh_bash-completion to install the bash
192     completion snippet in order to work around a problem on the amd64 buildd
193     (closes: #513115). Drop build dependency on bash-completion.
194
195  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
196
197 bti (012-1) unstable; urgency=low
198
199   * New upstream release.
200   * Install the new bash completion script; add bash-completion to
201     Build-Depends and Suggests.
202   * Refresh patch manpage-debian.patch.
203
204  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
205
206 bti (011-1) unstable; urgency=low
207
208   * New upstream release.
209   * Add build dependency on libreadline5-dev.
210
211  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
212
213 bti (010-1) unstable; urgency=low
214
215   * New upstream release, includes a new --proxy option and honours the
216     http_proxy environment variable (closes: #511087).
217   * Refresh patch manpage-debian.patch.
218
219  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
220
221 bti (008-1) unstable; urgency=low
222
223   * New upstream release (due to december twitter server change).
224   * Update years of packaging copyright.
225
226  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
227
228 bti (007-1) unstable; urgency=low
229
230   * New upstream release.
231
232  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
233
234 bti (006-1) unstable; urgency=low
235
236   * Initial release (Closes: #503241)
237
238  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200